HttpRequest::getResponseData
HttpRequest::getResponseInfo
The HttpRequest
PHP Manual

# HttpRequest::getResponseHeader

(PECL pecl_http:0.10.0-1.5.5)

HttpRequest::getResponseHeader — Get response header(s)

### Description

public mixed HttpRequest::getResponseHeader ([ string `$name` ] )

Get response header(s) after the request has been sent.

If redirects were allowed and several responses were received, the data references the last received response.

### Parameters

`name`

  header to read; if empty, all response headers will be returned

### Return Values

Returns either a string with the value of the header matching name if requested, FALSE on failure, or an associative array containing all response headers.

HttpRequest::getResponseData
HttpRequest::getResponseInfo
The HttpRequest
PHP Manual